Kerbal Space Program - Bug #24458

Airbrakes extend further than they should in the editor
12/03/2019 08:14 AM - Anth12

Status: Confirmed Start date: 12/03/2019
Severity: Low % Done: 10%
Assignee: Robert.Keech

Category: Parts

Target version:

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.7.3 MH + BG
KSP 1.8.1 MH + BG

Two screenshots plus the craft are supplied to show the problem

Related issues:
Has duplicate Kerbal Space Program - Bug #25803: A.l.R.B.R.A.K.E.S. Deployed ... Duplicate 07/18/2020

History

#1 - 12/05/2019 03:51 PM - Robert.Keech
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 12/05/2019 03:53 PM - Robert.Keech

- Assignee set to Robert.Keech
#4 - 12/05/2019 09:38 PM - HB_Stratos
Anth12 wrote:

KSP 1.7.3 MH + BG
KSP 1.8.1 MH + BG

Two screenshots plus the craft are supplied to show the problem
| actualy disagree with changing this, it has become a rather useful feature that airbrakes can extend to 90° and beyond. I'd rather suggest fixing the

model so the animated actuator doesn't visually break apart.
(I'hope this is the right way to comment on this issue, I'm still pretty new around here.)

#5 - 12/05/2019 10:01 PM - Anth12

The extending is only in the editor, and doesn't affect anything (physics) in scene at all.

| believe the airbrakes are based on real life so the further extension would be unrealistic...though KSP is a game. shrug

#6 - 01/07/2020 05:58 PM - HB_Stratos

Well if you do it right it can extend beyond limits in the physics world, that is incredibly useful. | do agree the visual bug in the editor should be fixed

though.

#7 - 09/01/2020 10:54 AM - Robert.Keech
- Related to Bug #25803: A..R.B.R.A.K.E.S. Deployed airbrakes display incorrectly in editor added

#8 - 09/01/2020 10:56 AM - Robert.Keech
- Related to deleted (Bug #25803: A..R.B.R.A.K.E.S. Deployed airbrakes display incorrectly in editor)

#9 - 09/01/2020 10:57 AM - Robert.Keech
- Has duplicate Bug #25803: A..R.B.R.A.K.E.S. Deployed airbrakes display incorrectly in editor added

#10 - 09/02/2020 01:40 PM - shaun_dove

The marking of 25803 as a duplicate of this is incorrect. They refer to different things. This bug is about how the piston has an air gap when the
deploy angle is more than about 71%. 25803 is about how in the editor, the Deploy Angle does nothing and instead the Authority limiter is what
adjusts the deployment (which is all wrong), and how in flight it behaves correctly. This leads to the deployment being set in the editor appearing
different when in flight.

Files

Editor 1.7.3.png 1.17 MB 12/03/2019 Anth12
Editor 1.8.1.png 2.64 MB 12/03/2019 Anth12
AirBrake Craft 1_7_3.craft 9.38 KB 12/03/2019 Anth12
